Option Strict Off
Option Explicit On

Public Class AXU2GPIBAX
#Region "User"
	Public Const GP_STARTSRQ  = &H0
	Public Const GP_SRQ_EVENT = &H1
	Public Const GP_STOPSRQ   = &H2
	Public Const GP_ERROR     = &H3
	
	Public Const ENABLE_SRQ_INTERRUPT  = 1
	Public Const DISABLE_SRQ_INTERRUPT = 0

	Declare Function OutPort		Lib	"U2GPLIB.DLL" (ByVal Reg As Short, ByVal OutVal As Short) As Short
	Declare Function InPort			Lib	"U2GPLIB.DLL" (ByVal Reg As Short) As Short
	
	Declare Function gp_init		Lib	"U2GPLIB.DLL" (ByVal GpAdrs As Short, ByVal IOBase As Integer, ByVal IrqNo As Short) As Short
	Declare Function gp_cli			Lib	"U2GPLIB.DLL" () As Integer
	Declare Function gp_ren			Lib	"U2GPLIB.DLL" () As Integer
	Declare Function gp_clr			Lib	"U2GPLIB.DLL" (ByVal adrs As String) As Integer
	Declare Function gp_trg			Lib	"U2GPLIB.DLL" (ByVal adrs As String) As Integer
	Declare Function gp_wsrq		Lib	"U2GPLIB.DLL" (ByVal WaitSecTime As Integer) As Integer
	Declare Function gp_wsrqb		Lib	"U2GPLIB.DLL" (ByVal WaitSecTime As Integer) As Integer
	Declare Function gp_rds			Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByRef status_byte As Byte) As Integer
	Declare Function gp_rds1		Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByRef status_byte As Byte) As Integer
	'Declare Function gp_srq		Lib	"U2GPLIB.DLL" (ByVal hwnd As Integer, ByVal SrqMode As Integer) As Integer
	Declare Function gp_lcl			Lib	"U2GPLIB.DLL" (ByVal adrs As String) As Integer
	Declare Function gp_llo			Lib	"U2GPLIB.DLL" () As Integer
	Declare Function gp_tmout		Lib	"U2GPLIB.DLL" (ByVal SecTime As Integer) As Integer
	Declare Function gp_setdelay	Lib	"U2GPLIB.DLL" (ByVal DelayTime As Integer) As Integer
	Declare Function gp_count		Lib	"U2GPLIB.DLL" () As Integer
	Declare Function gp_delm		Lib	"U2GPLIB.DLL" (ByVal mode As String, ByVal delm As Integer) As Integer
	Declare Function gp_tfrinit		Lib	"U2GPLIB.DLL" (ByVal adrs As String) As Integer
	Declare Sub      gp_tfrend		Lib	"U2GPLIB.DLL" ()
	Declare Function gp_wtb			Lib	"U2GPLIB.DLL" (ByVal buf As String) As Integer
	Declare Function gp_myadr		Lib	"U2GPLIB.DLL" () As Integer
	
	Declare Sub      gp_wait		Lib	"U2GPLIB.DLL" (ByVal WaitSecTime As Integer)
	Declare Sub      gp_strtodbl	Lib	"U2GPLIB.DLL" (ByRef bPoint As Byte, ByRef data As Double)
	Declare Sub      gp_strtoflt	Lib	"U2GPLIB.DLL" (ByRef bPoint As Byte, ByRef data As Single)

	Declare Function gp_wrt			Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByVal buf As String) As Integer
	'Declare Function gp_wrt		Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByRef buf As Byte) As Integer
	
	'Declare Function gp_red		Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByVal buf As String, ByVal bufLen As Integer) As Integer
	Declare Function gp_red			Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByRef buf As Byte, ByVal bufLen As Integer) As Integer
	
	Declare Function gp_tfrout		Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByVal bufLen As Integer, ByVal buf As String) As Integer
	'Declare Function gp_tfrout		Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByVal bufLen As Integer, ByRef buf As Byte) As Integer
	
	Declare Function gp_tfrin		Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByVal bufLen As Integer, ByVal buf As String) As Integer
	'Declare Function gp_tfrin		Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByVal bufLen As Integer, ByRef buf As Byte) As Integer
	
	Declare Function gp_tfrins		Lib	"U2GPLIB.DLL" (ByVal bufLen As Integer, ByVal buf As String) As Integer
	'Declare Function gp_tfrins		Lib	"U2GPLIB.DLL" (ByVal bufLen As Integer, ByRef buf As Byte) As Integer
	
	

	Declare Function U2GpOpenUnit	Lib	"U2GPLIB.DLL" (ByVal UnitId As Short) As Integer
	Declare Sub U2GpCloseUnit		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer)
	Declare Function U2GpEnumUnit	Lib	"U2GPLIB.DLL" (ByRef pUnitId As Short, ByVal MaxUnit As Short) As Integer
	Declare Function U2OutPort		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal Reg As Short, ByVal OutVal As Short) As Short
	Declare Function U2InPort		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal Reg As Short) As Short
	Declare Function U2Gpinit		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal GpAdrs As Short) As Short
	Declare Function U2Gpcli		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer) As Integer
	Declare Function U2Gpren		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer) As Integer
	Declare Function U2Gpclr		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String) As Integer
	Declare Function U2Gptrg		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String) As Integer
	Declare Function U2Gpwsrq		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal WaitSecTime As Integer) As Integer
	Declare Function U2Gpwsrqb		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal WaitSecTime As Integer) As Integer
	Declare Function U2Gprds		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByRef status_byte As Byte) As Integer
	Declare Function U2Gprds1		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByRef status_byte As Byte) As Integer
	'Declare Function U2Gpsrq		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal hwnd As Integer, ByVal SrqMode As Integer) As Integer
	Declare Function U2Gplcl		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String) As Integer
	Declare Function U2Gpllo		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer) As Integer
	Declare Function U2Gptmout		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal SecTime As Integer) As Integer
	Declare Function U2Gpsetdelay	Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal DelayTime As Integer) As Integer
	Declare Function U2Gpcount		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer) As Integer
	Declare Function U2Gpdelm		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal mode As String, ByVal delm As Integer) As Integer
	Declare Function U2Gptfrinit	Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String) As Integer
	Declare Sub      U2Gptfrend		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer)
	Declare Function U2Gpwtb		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal buf As String) As Integer
	Declare Function U2Gpmyadr		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer) As Integer
	
	'------------------------------------------------------------------------------
	Declare Function U2Gpwrt		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByVal buf As String) As Integer
	'Declare Function U2Gpwrt		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByRef buf As Byte) As Integer
	
	Declare Function U2Gpred		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByVal buf As String, ByVal bufLen As Integer) As Integer
	'Declare Function U2Gpred		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByRef buf As Byte, ByVal bufLen As Integer) As Integer
	
	'Declare Function U2Gptfrout	Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByVal bufLen As Integer, ByVal buf As String) As Integer
	Declare Function U2Gptfrout		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByVal bufLen As Integer, ByRef buf As Byte) As Integer
	
	'Declare Function U2Gptfrin		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByVal bufLen As Integer, ByVal buf As String) As Integer
	Declare Function U2Gptfrin		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByVal bufLen As Integer, ByRef buf As Byte) As Integer
	
	'Declare Function U2Gptfrins	Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal bufLen As Integer, ByVal buf As String) As Integer
	Declare Function U2Gptfrins		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal bufLen As Integer, ByRef buf As Byte) As Integer
	'------------------------------------------------------------------------------
	
	Declare Function gp_srqCheck	Lib	"U2GPLIB.DLL" () As Integer
	
	Declare Function gp_wrtd		Lib	"U2GPLIB.DLL" (ByVal buf As String, ByVal bufLen As Integer) As Integer
	'Declare Function gp_wrtd		Lib	"U2GPLIB.DLL" (ByRef buf As Byte, ByVal bufLen As Integer) As Integer
	
	'Declare Function gp_tfroutd	Lib	"U2GPLIB.DLL" (ByVal bufLen As Integer, ByVal buf As String) As Integer
	Declare Function gp_tfroutd		Lib	"U2GPLIB.DLL" (ByVal bufLen As Integer, ByRef buf As Byte) As Integer
	
	Declare Function gp_redd		Lib	"U2GPLIB.DLL" (ByVal buf As String, ByVal bufLen As Integer) As Integer
	'Declare Function gp_redd		Lib	"U2GPLIB.DLL" (ByRef buf As Byte, ByVal bufLen As Integer) As Integer
	
	Declare Function gp_redah		Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByVal buf As String, ByVal bufLen As Integer) As Integer
	'Declare Function gp_redah		Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByRef buf As Byte, ByVal bufLen As Integer) As Integer
	
	Declare Function gp_redrst		Lib	"U2GPLIB.DLL" () As Integer
	
	Declare Function U2GpsrqCheck	Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer) As Integer
	
	Declare Function U2Gpwrtd		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal buf As String, ByVal bufLen As Integer) As Integer
	'Declare Function U2Gpwrtd		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByRef buf As Byte, ByVal bufLen As Integer) As Integer
	
	'Declare Function U2Gptfroutd	Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal bufLen As Integer, ByVal buf As String) As Integer
	Declare Function U2Gptfroutd	Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal bufLen As Integer, ByRef buf As Byte) As Integer
	
	Declare Function U2Gpredd		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal buf As String, ByVal bufLen As Integer) As Integer
	'Declare Function U2Gpredd		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByRef buf As Byte, ByVal bufLen As Integer) As Integer
	
	Declare Function U2Gpredah		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByVal buf As String, ByVal bufLen As Integer) As Integer
	'Declare Function U2Gpredah		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByRef buf As Byte, ByVal bufLen As Integer) As Integer
	
	Declare Function U2Gpredrst		Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer) As Integer
	
	Declare Function gp_findlstn	Lib	"U2GPLIB.DLL" (ByVal adrs As String, ByVal adrsLen As Integer) As Integer
	Declare Function U2Gpfindlstn	Lib	"U2GPLIB.DLL" (ByVal hUnit As Integer, ByVal adrs As String, ByVal adrsLen As Integer) As Integer


#End Region
End Class
